# BingMapsGeocoderService

#### new Cesium.BingMapsGeocoderService(options)
engine/Source/Core/BingMapsGeocoderService.js 20

Provides geocoding through Bing Maps.

Name | Type | Description
--- | --- | ---

`options`

object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`key` | string | A key to use with the Bing Maps geocoding service
`culture` | string | optional A Bing Maps Culture Code to return results in a specific culture and language.

### Members

#### readonly credit : Credit|undefined
engine/Source/Core/BingMapsGeocoderService.js 81

Gets the credit to display after a geocode is performed. Typically this is used to credit the geocoder service.

#### readonly key : string
engine/Source/Core/BingMapsGeocoderService.js 69

The key for the Bing geocoder service

#### readonly url : string
engine/Source/Core/BingMapsGeocoderService.js 57

The URL endpoint for the Bing geocoder service

### Methods

#### geocode(query) → Promise.<Array.<GeocoderService.Result>>
engine/Source/Core/BingMapsGeocoderService.js 94

Name | Type | Description
--- | --- | ---
`query` | string | The query to be sent to the geocoder service

##### Returns:

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.